/*
 * =============================================================
 * TopologicalSorting02.java: ....
 * 
 * =============================================================
 */

package demo;

import java.util.Iterator;

import org.jgrapht.*;
import org.jgrapht.graph.*;
import org.jgrapht.traverse.TopologicalOrderIterator;
import org.jgrapht.graph.DefaultDirectedGraph;
import org.jgrapht.graph.DefaultEdge;
import org.jgrapht.traverse.*;

public class TopologicalSorting02 {

    public static void main ( String args[] ) {
        TopologicalSorting02 run = new TopologicalSorting02();
        run.testRecipe();
    }

    public void testRecipe() {

        DefaultDirectedGraph<String, DefaultEdge> graph = new DefaultDirectedGraph<String, DefaultEdge>( DefaultEdge.class );

        String [] v = new String[9];

        v[0] = "preheat oven";
        v[1] = "sift dry ingredients";
        v[2] = "stir wet ingredients";
        v[3] = "mix wet and dry ingredients";
        v[4] = "spoon onto pan";
        v[5] = "bake";
        v[6] = "cool";
        v[7] = "frost";
        v[8] = "eat";

        // add in mixed up order

        graph.addVertex(v[4]);
        graph.addVertex(v[8]);
        graph.addVertex(v[1]);
        graph.addVertex(v[3]);
        graph.addVertex(v[7]);
        graph.addVertex(v[6]);
        graph.addVertex(v[0]);
        graph.addVertex(v[2]);
        graph.addVertex(v[5]);

        // specify enough edges to guarantee deterministic total order

        graph.addEdge(v[0], v[1]);
        graph.addEdge(v[1], v[2]);
        graph.addEdge(v[0], v[2]);
        graph.addEdge(v[1], v[3]);
        graph.addEdge(v[2], v[3]);
        graph.addEdge(v[3], v[4]);
        graph.addEdge(v[4], v[5]);
        graph.addEdge(v[5], v[6]);
        graph.addEdge(v[6], v[7]);
        graph.addEdge(v[7], v[8]);
        graph.addEdge(v[6], v[8]);

        Iterator<String> iter = new TopologicalOrderIterator<String, DefaultEdge>(graph);

        System.out.println("Sequence of Assembly");
        System.out.println("====================");

        int i = 0;
        while (iter.hasNext() != false) {
            String s = (String) iter.next();
            System.out.println( s.toString() );
        }
    }
}
