package demo.metro;

import javax.xml.bind.annotation.*;

@XmlType
public class Coordinate {
   @XmlElement(name="nodename")
   protected String sName;
   @XmlElement(name="x")
   protected double dX;
   @XmlElement(name="y")
   protected double dY;
   @XmlElement(name="z")
   protected double dZ;

   // Constructor methods ....

   public Coordinate() {
      this.dX = 0.0;
      this.dY = 0.0;
      this.dZ = 0.0;
   }

   public Coordinate( double dX, double dY ) {
      this.dX = dX;
      this.dY = dY;
      this.dZ = 0.0;
   }

   public Coordinate( String sName, double dX, double dY ) {
      this.dX = dX;
      this.dY = dY;
      this.dZ = 0.0;
      this.sName = sName;
   }

   public String getSName() {
      return sName;
   }

   // Return x and y coordinates ...

   public double getX() {
      return dX;
   }

   public double getY() {
      return dY;
   }

   // Convert node to a string ...

   public String toString() {
      String s = String.format("( %4.1f, %4.1f, %4.1f )", dX, dY, dZ );
      return s;
   }
}
