package demo.metro;

import java.util.ArrayList;
import demo.metro.MetroStation;

import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

// This statement means that class "MetroSystem.java" is the root-element ...

@XmlRootElement(namespace = "edu.umd.isr.austin")
@XmlType(name = "MetroSystemType", propOrder = {"name", "location", "ms"})
public class MetroSystem {
   protected String name;
   protected String location;
   // XmLElementWrapper generates a wrapper element around XML representation
   @XmlElementWrapper(name = "metrostations")
   // XmlElement sets the name of the entities
   @XmlElement(name = "station")
   private ArrayList<MetroStation> ms = new ArrayList<MetroStation>();

   public MetroSystem() {}
    
   public MetroSystem( String sName ) {     
      this.name = sName;
   }

   // Add/remove a metro station ...

   public void addStation( MetroStation newStation ) {
      ms.add ( newStation );
   }

   // Lists of metro stations

   public ArrayList<MetroStation> findMetroStationList() {
       return ms;
   }

   public void setMetroStationList ( ArrayList<MetroStation> s ) {
       ms = s;
   }

   // Name of the Metro System ...

   public String getName() {
      return name;
   }

   public void setName( String n ) {
      name = n;
   }

   // Location of the Metro System ...

   public String getLocation() {
      return location;
   }

   public void setLocation( String mylocation ) {
      location = mylocation;
   }

}
